Bug 997608 - [abrt] WARNING: at drivers/base/firmware_class.c:1040 _request_firmware.isra.9+0x66c/0x6b0() [NEEDINFO]
[abrt] WARNING: at drivers/base/firmware_class.c:1040 _request_firmware.isra....
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fedora-kernel-wireless-ath
Fedora Extras Quality Assurance
abrt_hash:b36878dbbad6ec6c3f316acdf3c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 14:47 EDT by Vladimir Rusinov
Modified: 2014-06-23 10:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-23 10:40:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (169.97 KB, text/plain)
2013-08-15 14:48 EDT, Vladimir Rusinov
no flags Details
dmesg output, see https://bugzilla.redhat.com/show_bug.cgi?id=997608#c5 for details (100.59 KB, text/plain)
2013-09-19 17:51 EDT, Christian Stadelmann
no flags Details

  None (edit)
Description Vladimir Rusinov 2013-08-15 14:47:55 EDT
Additional info:
reporter:       libreport-2.1.6
WARNING: at drivers/base/firmware_class.c:1040 _request_firmware.isra.9+0x66c/0x6b0()
Modules linked in: bnep bluetooth nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables arc4 iTCO_wdt iTCO_vendor_support snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel mperf coretemp ath9k_htc ath9k_common ath9k_hw ath mac80211 cfg80211 snd_hda_codec snd_hwdep rfkill kvm_intel kvm i2c_i801 snd_seq snd_seq_device e1000e ptp crc32_pclmul snd_pcm pps_core mei_me crc32c_intel snd_page_alloc snd_timer lpc_ich snd soundcore mei mfd_core ghash_clmulni_intel wmi serio_raw microcode video uinput binfmt_misc radeon i2c_algo_bit drm_kms_helper ttm drm usb_storage i2c_core
CPU: 0 PID: 6898 Comm: kworker/u8:80 Not tainted 3.10.5-201.fc19.x86_64 #1
Hardware name: LENOVO 3227A83/MAHOBAY, BIOS 9SKT31AUS 04/20/2012
Workqueue: events_unbound async_run_entry_fn
 0000000000000009 ffff88017319fc08 ffffffff81638f56 ffff88017319fc40
 ffffffff8105c211 ffff8801e6e7cda0 ffffffffa02d7af9 ffff88017319fcd0
 00000000fffffff5 ffff880198245e80 ffff88017319fc50 ffffffff8105c2ea
Call Trace:
 [<ffffffff81638f56>] dump_stack+0x19/0x1b
 [<ffffffff8105c211>] warn_slowpath_common+0x61/0x80
 [<ffffffff8105c2ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff813ea96c>] _request_firmware.isra.9+0x66c/0x6b0
 [<ffffffff81456475>] ? usb_submit_urb+0x155/0x3d0
 [<ffffffffa02cefab>] ? ath9k_hif_usb_alloc_urbs+0x34b/0x450 [ath9k_htc]
 [<ffffffff813ea9c0>] request_firmware+0x10/0x20
 [<ffffffffa02cf529>] ath9k_hif_usb_resume+0x59/0xf0 [ath9k_htc]
 [<ffffffff8144a450>] ? usb_dev_thaw+0x20/0x20
 [<ffffffff8145a031>] usb_resume_interface.isra.6+0x61/0x100
 [<ffffffff8145a324>] usb_resume_both+0x74/0x150
 [<ffffffff8145af2f>] usb_resume+0x1f/0xd0
 [<ffffffff8144a450>] ? usb_dev_thaw+0x20/0x20
 [<ffffffff8144a463>] usb_dev_resume+0x13/0x20
 [<ffffffff813e3294>] dpm_run_callback+0x44/0x90
 [<ffffffff813e33ee>] device_resume+0xce/0x1f0
 [<ffffffff813e352d>] async_resume+0x1d/0x50
 [<ffffffff81087579>] async_run_entry_fn+0x39/0x120
 [<ffffffff81079b95>] process_one_work+0x175/0x420
 [<ffffffff8107a7ab>] worker_thread+0x11b/0x3a0
 [<ffffffff8107a690>] ? rescuer_thread+0x340/0x340
 [<ffffffff81080b00>] kthread+0xc0/0xd0
 [<ffffffff81080a40>] ? insert_kthread_work+0x40/0x40
 [<ffffffff816474ac>] ret_from_fork+0x7c/0xb0
 [<ffffffff81080a40>] ? insert_kthread_work+0x40/0x40
Comment 1 Vladimir Rusinov 2013-08-15 14:48:04 EDT
Created attachment 787026 [details]
File: dmesg
Comment 2 Christian Stadelmann 2013-09-09 14:48:05 EDT
Same problem here when suspending my Fedora/Gnome desktop. This occurs with a TP-Link TL-WN 821 V3 stick (USB WLAN stick with internal PCI bridge) using the ath9k driver.
$ lsusb -s 001:008
ID 0cf3:7015 Atheros Communications, Inc. TP-Link TL-WN821N v3 / TL-WN822N v2 802.11n [Atheros AR7010+AR9287]
Comment 3 Christian Stadelmann 2013-09-09 14:55:19 EDT
This bug is not easily reproduceable. It seems like it only occurs in some states when the USB WLAN device is getting hot due to buggy power management. In this state the connection times out or drops or (rare case) I get a kernel panic. This bug seems to be a result of the Atheros controller overheating.
Comment 4 Josh Boyer 2013-09-18 16:33:50 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 5 Christian Stadelmann 2013-09-19 16:11:28 EDT
This bug is still somehow present for me with 3.11.1-200.fc19 kernel but different:

Setup: TL-WN 821 V3 WLAN device

Steps to reproduce (now easily reproducible) :
1. transfer much data over WLAN device until it overheats
2. try to suspend-to-ram
3. watch what happens

What happens:
Fedora does not suspend but lock the screen being unresponsible for a while. After ~10 seconds I can login again as if I just had my gnome session locked. dmesg reports call traces (see attachment).

What should happen:
Suspend

btw: this kernel makes the TL-WN 821 V3 device running much more stable: It is able to download >2GB before overheating (was about 50MB before).
Comment 6 Christian Stadelmann 2013-09-19 17:51:00 EDT
Created attachment 800181 [details]
dmesg output, see https://bugzilla.redhat.com/show_bug.cgi?id=997608#c5 for details
Comment 7 Justin M. Forbes 2014-01-03 17:08:50 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 8 Justin M. Forbes 2014-03-10 10:47:12 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.13.5-100.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 9 Justin M. Forbes 2014-06-23 10:40:55 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.